<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);

require_once 'PieceSquadro.php';
require_once 'ArrayPieceSquadro.php';
require_once 'PlateauSquadro.php';
require_once 'PieceSquadroUI.php';
require_once 'SquadroUIGenerator.php';
require_once 'ActionSquadro.php';

session_start();

if (!isset($_POST['x']) || !isset($_POST['y']) || !isset($_POST['couleur'])) {
    header('Location: index.php');
    exit();
}


$x = (int)$_POST['x'];
$y = (int)$_POST['y'];
$couleur = $_POST['couleur'];

// Vérifier que $x et $y sont des entiers positifs
if ($x < 0 || $y < 0) {
    throw new InvalidArgumentException("Coordonnées invalides : x et y doivent être des entiers positifs.");
}

$plateau = $_SESSION['plateau'];
$action = new ActionSquadro($plateau);

try {
    $action->jouePiece($x, $y);
    if ($action->remporteVictoire($couleur === 'blanc' ? PieceSquadro::BLANC : PieceSquadro::NOIR)) {
        echo SquadroUIGenerator::generateVictoryPage($plateau, $couleur);
        session_destroy();
    } else {
        $_SESSION['isWhiteTurn'] = !$_SESSION['isWhiteTurn'];
        header('Location: index.php');
    }
} catch (Exception $e) {
    echo "Erreur : " . $e->getMessage();
}
?>
